import { OnesTable } from '../../../../../../@ones-table/common';
import { ToolbarItem } from '../../../table-command-types';
import { CommandItem, CommandItemState } from '../../../types';
import { CommandBar } from '../../../command-bar';
export declare class ShowGridLineItem implements ToolbarItem {
    private table;
    id: string;
    name: string;
    icon: string;
    states?: CommandItemState[] | undefined;
    constructor(table: OnesTable);
    handleClick(bar: CommandBar, item: CommandItem): void;
    updateState(bar?: CommandBar | undefined): void;
}
